升級Ubuntu 8.10 AMD64(下)

對我來說,使用Ubuntu最大的樂趣之一就是每隔半年發行的新版本,每個新版本或多或少都會增加一些新的功能,或是增加系統的穩定度,雖然每版之間進步的幅度並不是跳躍式的前進,但是回過頭來跟去年的發行版比較的時候,就會發現一年之間的差異有多大,因此更加堅定當初選擇Ubuntu/Linux做為主要作業系統的決心。

我承認我是個升級狂,不過還不至於追著每天發布的進度跑,而且也很少裝正式發布前的beta測試版,但只要新的正式版本一發表,我就很難按捺那顆想嚐鮮的心,更何況自從改用Ubuntu之後,就再也不用擔心那些XX版或病毒之類的不合法又令人不安心的事了。

自從改用Ubuntu以來,我覺得自己運氣很好,自組的硬體很少有不相容的情形(包括印表機),就算有,稍微google一下都可以找到解決的方法。這次重灌後,除了電視卡還是得另外設定一下之外,其餘的都一次到位,安裝速度比以前重灌Windows還快上許多,至少省下了不少裝驅動的時間。

Ubuntu 8.10比起8.04來說,表面上並沒有太大的更動,尤其是原本說要更換佈景主題的承諾跳票之後,兩者之間看起來似乎差異性更小了。不過事實上,在使用一個月之後,我認為這次的8.10比起半年前剛發布時的8.04更穩定,更像是LTS,細部的微調讓使用經驗更加人性化,例如桌面的文字不再是一大串,太長的部份會用「…」來代替,待滑鼠移上去時才顯示原來的字串長度,也許直接看圖會更清楚:

Screenshot-1 Screenshot-2
↑ 左圖:桌面圖示下的文字太長的部份用「…」來代替。
↑ 右圖:滑鼠移到圖示時就顯示原來的字串。

在剛升級完後的那幾天,每天都會發現一些微調的驚喜,例如支援檔案加密和7z分片壓縮等,像這樣的小細節修飾不勝枚舉,不僅修正了一些bug,也讓Ubuntu 8.10顯得更為精緻。

不過話雖如此,Ubuntu 8.10沒換個新佈景還是我心中相當大的遺憾。

Ubuntu 8.10在「外觀偏好」的預設選項中多了一個「DarkRoom」的深咖啡色主題,我只用了一、二個小時就決定切換回原來的橘色Human主題,因為總是覺得某些部份的配色怪怪的。後來在網路上找到「Dust」這個黑色主題,覺得相當不錯,非常有質感,且不會淪於模仿,我個人是不太欣賞那些模仿mac或windows的佈景主題,因為不管做得再怎麼像,終究還是個「假貨」,而且Ubuntu/Linux應該要有自己的個性,不是嗎?

所以我的桌面換完主題和桌布,再東調西調後就成了這個樣子:

Ubuntu 8.10 + Dust

之前因為軟體支援問題,遲遲不敢嘗試64位元的Ubuntu,但是經由這次順利的安裝經驗,我認為Ubuntu 8.10 64bit已經準備好了,是個穩定度及成熟度皆備的作業系統,不管是影音codecs、flash、java等一應俱全,所以如果你跟我一樣有4g以上的記憶體,真的可以考慮使用Ubuntu 8.10 AMD64這個版本,不用再受限於32位元對於記憶體的限制了。

“升級Ubuntu 8.10 AMD64(下)” 有 28 則迴響

  1. 你好!這幾天也在升級到 64 bit,真的是還滿無痛的
    可以請問一下你桌面最右邊的小 dock 是用什麼做到的呢?
    我很喜歡那個 CPU 跟 RAM 的圈圈說

    謝謝

    1. @sirius,那個是screenlets,用synaptic套件庫找一下就有,它就跟右上角的天氣、時鐘等一樣都包含在screenlets裡面。

      雖然screenlets還算不錯用,不過目前這個套件似乎已經停止發展了,很可惜!

  2. 你好,我安装了ubuntu8.10amd64的版本,但是在安装后使用了apt-get upgrade进行升级,结果升级后发现网卡无法使用.
    系统中也没有发现eth0的设备目录.
    请教该如何解决?谢谢.

    1. @DT,你是從8.04直接升級到8.10的嗎?

      你給的資訊太少,我沒有辦法幫你判斷哪裡出錯……

      例如你的套件庫有哪些,電腦配備如何,如何連網(一般網卡還是無線網卡)

      建議還是去ubuntu.cn或ubutnu-tw.net發問看看,那邊高手很多唷~

      1. 是新装的8.10 amd64,装后就直接用apt-get update ,apt-get upgrade 升级了系统,就出现了上述问题,我再查查资料,

        谢谢你的回复,如果你有发现什么解决方法请给我消息.谢谢.

    1. 你的問題應該是「amd64如何裝載openoffice3」吧?

      在synaptic中加入套件庫:

      deb http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu intrepid main
      deb-src http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu intrepid main

      打開金鑰網頁,將金鑰複製存成文字檔,然後匯入。

      重新載入套件庫,就會有更新檔跳出來了。(寫的很簡略,希望你看得懂) 😳

    1. @carl_tw,可以給多點訊息嗎?例如:你安裝的是哪個佈景?安裝的方式為何?不能安裝的情形如何?這樣比較好幫你判斷問題。

      有個情形是,有些佈景包是壓縮檔中還有壓縮檔,把它解開後再安裝試試。

        1. @carl_tw,你提供的那個檔案,就是壓縮檔裡還有壓縮檔,還不只是一個壓縮檔,裡面也不只包含佈景主題,還包括不同程式的skin,還有字型,所以不能直接把抓回來的tar.gz直接拉到外觀設定那裡,你得把壓縮檔先解開後,再選擇你要的佈景去裝,例如解開後有個資料夾「GTK Metacity Theme」,裡面有四個tar.gz檔,這才是你該拖進去外觀偏好的東西。

          總而言之,解開檔案看一下你就知道了。不是壓縮包有問題唷! :o)

          1. 感謝您的答覆,但 Mac4Lin_GTK_v0.4.tar.gz 還是裝不起來,只有 Mac4Lin_GTK_Graphite_v0.4.tar.gz 可以,這樣會是壓縮檔的問題嗎?

          2. @carl_tw,不是壓縮檔的問題,每個檔案夾裡都有個readme說明文件,仔細閱讀一下,裡面有說明哪些檔適合什麼樣的環境安裝。

          3. 感謝您的熱心幫忙,其實我有許多問題都是在這裡找到解答,尤其是 VirtualBox 設定的部份,都是直接到這裡來看說明的。

  3. 在下最近也換成《Ubuntu 8.04 LTS 64bit》,速度上比32bits有明顯變順。而8.10還在觀望中~~~

    請教一下,是不是32bits的程式,也可以《直接》在64bits中使用?因為OS內有《Lib+Lib32》的資料夾!裝了會有差嗎?

    因為《Lazybuntu》好像僅有32bits的!?

    1. 就我所知,應該是不能「直接」使用32bit的程式,但如果透過一些「手段」,是可以順利運作的,只是在效能上可能要打些折扣,例如32bit的flash可以透過nspluginwrapper在64bit的系統上使用。

      如非不得已,建議還是安裝相對應的64bit版本的程式,跑起來會比較順。

      Lazybuntu已有64bit的版本,請至官網下載即可。

發表迴響